/*
Theme Name: lukaszkrawczyk.dev
Author: Łukasz Krawczyk
Author URI: https://lukaszkrawczyk.dev/
Template: wp-bootstrap-starter
Version: 1.0.0
Text Domain: lukaszkrawczyk
*/

:root {
    scroll-behavior: smooth;
    --first: #ffcb2f;
    --first-alt: #ff9a00;
    --first-rgb: 255,203,47;
    --second: #ff3366;
    --second-rgb: 255,51,102;
    --black: #1d1d1d;
    --black-bg: #424242;
    --black-bg-rgb: 66,66,66;
    --gray-bg: #f5f5f5;
    --white: #fff;
}

body { font-family: 'Montserrat', sans-serif; color: var(--black); }

.logo { font-family: Georgia, 'Palatino', 'Palatino Linotype', Times, 'Times New Roman', serif !important; font-style: italic; letter-spacing: 1.5px; color: var(--yellow); }

a, button, img { transition: all .4s; }

.description > :last-child { margin-bottom: 0; }

#cookies { background-color: var(--white); color: var(--gray-dark); position: fixed; right: 0; bottom: 0; z-index: 99; opacity: 0; animation: .4s fade-in forwards; }

#cookies.fade-out { animation: fade-out .4s forwards; }

#cookies span { position: absolute; right: .875rem; top: .875rem; cursor: pointer; }

#cookies span:hover,
#cookies span:focus { color: var(--black); }

#go-top { position: fixed; right: 2.125rem; bottom: 2.125rem; width: 3rem; height: 3rem; }

#go-top a { background-color: var(--red); color: var(--white); border-radius: 3rem; width: 100%; height: 100%; text-decoration: none !important; }

#go-top a:hover,
#go-top a:focus { background-color: var(--red-hover); }

.slick-prev::before { content: '\f053'; font-family: 'Font Awesome 5 Free'; font-weight: 600; }

.slick-next::before { content: '\f054'; font-family: 'Font Awesome 5 Free'; font-weight: 600; }

.slick-prev::before,
.slick-next::before { color: var(--black); font-size: 2.25rem; }

.slick-prev,
.slick-next { z-index: 1; }

.slick-carousel a { color: var(--black); border-bottom: none !important; }

.slick-carousel a:hover,
.slick-carousel a:focus { color: var(--red); }

.ellipsis { white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }

/* Section */

section { background-color: var(--gray-bg); background-position: center top; background-repeat: no-repeat; background-size: cover; }

section .entry-subtitle { letter-spacing: 6px; font-weight: bold; }

section:nth-of-type(odd) .entry-subtitle { color: var(--first-alt); }

section:nth-of-type(even) .entry-subtitle { color: var(--second); }

section .entry-subtitle,
section .description { font-size: .9375rem; }

section .entry-title { font-family: Georgia, 'Palatino', 'Palatino Linotype', Times, 'Times New Roman', serif !important; font-weight: bold; }

.wpcf7 { background-color: var(--white); border-radius: 12.5px; padding: 3rem; box-shadow: 0 0 1.5rem rgba(var(--black-bg-rgb), .1); }

.wpcf7 .acceptance label::after,
.wpcf7 label.required::after { content: '*'; color: var(--red); }

.wpcf7 .disclaimer label::before { content: '* '; color: var(--red); }

.wpcf7-list-item { margin-left: 0; }

/* Checkboxes */

.checkbox-radio-container { position: relative; margin-bottom: 0; padding-left: 30px; cursor: pointer; user-select: none; }

.checkbox-radio-container input { position: absolute; opacity: 0; cursor: pointer; }

.checkbox-radio-container input + .checkmark,
.checkbox-radio-container input ~ .checkmark { position: absolute; left: 0; top: 0; width: 20px; height: 20px; border: 1px solid var(--first-alt); background-color: var(--white); }

.checkbox-radio-container input:checked ~ .checkmark { border-color: transparent; background-color: var(--first-alt); }

.checkbox-radio-container input + .checkmark::after,
.checkbox-radio-container input ~ .checkmark::after { content: ''; position: absolute; display: none; left: 6px; top: 1px; width: 7px; height: 13px; border: solid var(--white); border-width: 0 3px 3px 0; transform: rotate(45deg); }

.checkbox-radio-container input:checked ~ .checkmark::after { display: block; }

/* Footer */

.navbar-nav { font-weight: bold; font-size: 1.0625rem; }

.navbar-nav li { text-align: center; }

.navbar-nav li > a { padding: 0; }

#colophon { background-color: var(--black-bg); border-top: 3px solid var(--first); }

#colophon,
#colophon a { color: var(--white); }

#colophon a:hover,
#colophon a:focus,
#colophon .logo a,
.navbar-nav li.active.menu-item-object-page > a { color: var(--yellow) !important; text-decoration: none; }

#colophon .logo a:hover,
#colophon .logo a:focus { opacity: .375; }

#colophon .sub-colophon { background: linear-gradient(to right, rgba(var(--first-rgb), .375), rgba(var(--second-rgb), .375)); }

#wpcf7-f59-p2-o1 label,
#colophon .sub-colophon .site-info { font-size: .8125rem; }

@keyframes fade-in {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes fade-out {
    from { opacity: 1; }
    to { opacity: 0; }
}

@media (min-width: 576px) {
    .navbar-nav li:not(:first-child) { margin-left: 2.25rem; }
}